LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Exported Interfaces | List of all members
LayerDescriber Service Reference

describe the contents of a layer to an XLayerHandler object. More...

`import"LayerDescriber.idl";`

Inheritance diagram for LayerDescriber:

## Exported Interfaces
interface | com::sun::star::configuration::backend::XLayerContentDescriber
| describes a set of configuration data to an XLayerHandler Object. More...

## Additional Inherited Members
Public Member Functions inherited from XLayerContentDescriber
void | describeLayer ([in] XLayerHandler aHandler, [in] sequence< PropertyInfo > aPropertyInfos) raises (com::sun::star::lang::NullPointerException, com::sun::star::lang::WrappedTargetException, MalformedDataException)
| describes the contents of the layer to an XLayerHandler. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

describe the contents of a layer to an XLayerHandler object.

The contents of the layer is contained in the sequence of PropertyInfo structures

See Also
  PropertyInfo

## Exported Interfaces

interface com::sun::star::configuration::backend::XLayerContentDescriber

describes a set of configuration data to an XLayerHandler Object.

The documentation for this service was generated from the following file:

- com/sun/star/configuration/backend/LayerDescriber.idl